Loading...
Searching...
No Matches
CxxTest::TeeListener Class Reference

`#include <TeeListener.h>`

## Public Member Functions

| TeeListener ()
virtual | ~TeeListener ()
void | setFirst (TestListener &first)
void | setSecond (TestListener &second)
void | enterWorld (const WorldDescription &d)
void | enterSuite (const SuiteDescription &d)
void | enterTest (const TestDescription &d)
void | trace (const char *file, unsigned line, const char *expression)
void | warning (const char *file, unsigned line, const char *expression)
void | failedTest (const char *file, unsigned line, const char *expression)
void | failedAssert (const char *file, unsigned line, const char *expression)
void | failedAssertEquals (const char *file, unsigned line, const char *xStr, const char *yStr, const char *x, const char *y)
void | failedAssertSameData (const char *file, unsigned line, const char *xStr, const char *yStr, const char *sizeStr, const void *x, const void *y, unsigned size)
void | failedAssertDelta (const char *file, unsigned line, const char *xStr, const char *yStr, const char *dStr, const char *x, const char *y, const char *d)
void | failedAssertDiffers (const char *file, unsigned line, const char *xStr, const char *yStr, const char *value)
void | failedAssertLessThan (const char *file, unsigned line, const char *xStr, const char *yStr, const char *x, const char *y)
void | failedAssertLessThanEquals (const char *file, unsigned line, const char *xStr, const char *yStr, const char *x, const char *y)
void | failedAssertPredicate (const char *file, unsigned line, const char *predicate, const char *xStr, const char *x)
void | failedAssertRelation (const char *file, unsigned line, const char *relation, const char *xStr, const char *yStr, const char *x, const char *y)
void | failedAssertThrows (const char *file, unsigned line, const char *expression, const char *type, bool otherThrown)
void | failedAssertThrowsNot (const char *file, unsigned line, const char *expression)
void | leaveTest (const TestDescription &d)
void | leaveSuite (const SuiteDescription &d)
void | leaveWorld (const WorldDescription &d)
Public Member Functions inherited from CxxTest::TestListener
| TestListener ()
virtual | ~TestListener ()

## Private Attributes

TestListener * | _first
TestListener * | _second
TestListener | _dummy

## Detailed Description

Definition at line 13 of file TeeListener.h.

## Constructor & Destructor Documentation

## TeeListener()

CxxTest::TeeListener::TeeListener | ( |  | ) |

inline

Definition at line 16 of file TeeListener.h.

{
setFirst( _dummy );
setSecond( _dummy );
}
CxxTest::TeeListener::setFirst
void setFirst(TestListener &first)
Definition TeeListener.h:26
CxxTest::TeeListener::_dummy
TestListener _dummy
Definition TeeListener.h:177
CxxTest::TeeListener::setSecond
void setSecond(TestListener &second)
Definition TeeListener.h:31

## ~TeeListener()

virtual CxxTest::TeeListener::~TeeListener | ( |  | ) |

inline virtual

Definition at line 22 of file TeeListener.h.

{
}

## Member Function Documentation

## enterSuite()

void CxxTest::TeeListener::enterSuite | ( | const SuiteDescription & | d | ) |

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 42 of file TeeListener.h.

{
_first->enterSuite( d );
_second->enterSuite( d );
}
CxxTest::TeeListener::_first
TestListener * _first
Definition TeeListener.h:176
CxxTest::TeeListener::_second
TestListener * _second
Definition TeeListener.h:176

## enterTest()

void CxxTest::TeeListener::enterTest | ( | const TestDescription & | d | ) |

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 48 of file TeeListener.h.

{
_first->enterTest( d );
_second->enterTest( d );
}

## enterWorld()

void CxxTest::TeeListener::enterWorld | ( | const WorldDescription & | d | ) |

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 36 of file TeeListener.h.

{
_first->enterWorld( d );
_second->enterWorld( d );
}

## failedAssert()

void CxxTest::TeeListener::failedAssert | ( | const char * | file,
|  | unsigned | line,
|  | const char * | expression )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 72 of file TeeListener.h.

{
_first->failedAssert( file, line, expression );
_second->failedAssert( file, line, expression );
}

## failedAssertDelta()

void CxxTest::TeeListener::failedAssertDelta | ( | const char * | file,
|  | unsigned | line,
|  | const char * | xStr,
|  | const char * | yStr,
|  | const char * | dStr,
|  | const char * | x,
|  | const char * | y,
|  | const char * | d )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 95 of file TeeListener.h.

{
_first->failedAssertDelta( file, line, xStr, yStr, dStr, x, y, d );
_second->failedAssertDelta( file, line, xStr, yStr, dStr, x, y, d );
}
x
Variable x
Definition cfModGcd.cc:4090
y
const CanonicalForm int const CFList const Variable & y
Definition facAbsFact.cc:53

## failedAssertDiffers()

void CxxTest::TeeListener::failedAssertDiffers | ( | const char * | file,
|  | unsigned | line,
|  | const char * | xStr,
|  | const char * | yStr,
|  | const char * | value )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 103 of file TeeListener.h.

{
_first->failedAssertDiffers( file, line, xStr, yStr, value );
_second->failedAssertDiffers( file, line, xStr, yStr, value );
}

## failedAssertEquals()

void CxxTest::TeeListener::failedAssertEquals | ( | const char * | file,
|  | unsigned | line,
|  | const char * | xStr,
|  | const char * | yStr,
|  | const char * | x,
|  | const char * | y )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 78 of file TeeListener.h.

{
_first->failedAssertEquals( file, line, xStr, yStr, x, y );
_second->failedAssertEquals( file, line, xStr, yStr, x, y );
}

## failedAssertLessThan()

void CxxTest::TeeListener::failedAssertLessThan | ( | const char * | file,
|  | unsigned | line,
|  | const char * | xStr,
|  | const char * | yStr,
|  | const char * | x,
|  | const char * | y )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 111 of file TeeListener.h.

{
_first->failedAssertLessThan( file, line, xStr, yStr, x, y );
_second->failedAssertLessThan( file, line, xStr, yStr, x, y );
}

## failedAssertLessThanEquals()

void CxxTest::TeeListener::failedAssertLessThanEquals | ( | const char * | file,
|  | unsigned | line,
|  | const char * | xStr,
|  | const char * | yStr,
|  | const char * | x,
|  | const char * | y )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 119 of file TeeListener.h.

{
_first->failedAssertLessThanEquals( file, line, xStr, yStr, x, y );
_second->failedAssertLessThanEquals( file, line, xStr, yStr, x, y );
}

## failedAssertPredicate()

void CxxTest::TeeListener::failedAssertPredicate | ( | const char * | file,
|  | unsigned | line,
|  | const char * | predicate,
|  | const char * | xStr,
|  | const char * | x )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 127 of file TeeListener.h.

{
_first->failedAssertPredicate( file, line, predicate, xStr, x );
_second->failedAssertPredicate( file, line, predicate, xStr, x );
}

## failedAssertRelation()

void CxxTest::TeeListener::failedAssertRelation | ( | const char * | file,
|  | unsigned | line,
|  | const char * | relation,
|  | const char * | xStr,
|  | const char * | yStr,
|  | const char * | x,
|  | const char * | y )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 134 of file TeeListener.h.

{
_first->failedAssertRelation( file, line, relation, xStr, yStr, x, y );
_second->failedAssertRelation( file, line, relation, xStr, yStr, x, y );
}

## failedAssertSameData()

void CxxTest::TeeListener::failedAssertSameData | ( | const char * | file,
|  | unsigned | line,
|  | const char * | xStr,
|  | const char * | yStr,
|  | const char * | sizeStr,
|  | const void * | x,
|  | const void * | y,
|  | unsigned | size )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 86 of file TeeListener.h.

{
_first->failedAssertSameData( file, line, xStr, yStr, sizeStr, x, y, size );
_second->failedAssertSameData( file, line, xStr, yStr, sizeStr, x, y, size );
}
size
int size(const CanonicalForm &f, const Variable &v)
int size ( const CanonicalForm & f, const Variable & v )
Definition cf_ops.cc:600

## failedAssertThrows()

void CxxTest::TeeListener::failedAssertThrows | ( | const char * | file,
|  | unsigned | line,
|  | const char * | expression,
|  | const char * | type,
|  | bool | otherThrown )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 142 of file TeeListener.h.

{
_first->failedAssertThrows( file, line, expression, type, otherThrown );
_second->failedAssertThrows( file, line, expression, type, otherThrown );
}

## failedAssertThrowsNot()

void CxxTest::TeeListener::failedAssertThrowsNot | ( | const char * | file,
|  | unsigned | line,
|  | const char * | expression )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 150 of file TeeListener.h.

{
_first->failedAssertThrowsNot( file, line, expression );
_second->failedAssertThrowsNot( file, line, expression );
}

## failedTest()

void CxxTest::TeeListener::failedTest | ( | const char * | file,
|  | unsigned | line,
|  | const char * | expression )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 66 of file TeeListener.h.

{
_first->failedTest( file, line, expression );
_second->failedTest( file, line, expression );
}

## leaveSuite()

void CxxTest::TeeListener::leaveSuite | ( | const SuiteDescription & | d | ) |

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 163 of file TeeListener.h.

{
_first->leaveSuite(d);
_second->leaveSuite(d);
}

## leaveTest()

void CxxTest::TeeListener::leaveTest | ( | const TestDescription & | d | ) |

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 157 of file TeeListener.h.

{
_first->leaveTest(d);
_second->leaveTest(d);
}

## leaveWorld()

void CxxTest::TeeListener::leaveWorld | ( | const WorldDescription & | d | ) |

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 169 of file TeeListener.h.

{
_first->leaveWorld(d);
_second->leaveWorld(d);
}

## setFirst()

void CxxTest::TeeListener::setFirst | ( | TestListener & | first | ) |

inline

Definition at line 26 of file TeeListener.h.

{
_first = &first;
}

## setSecond()

void CxxTest::TeeListener::setSecond | ( | TestListener & | second | ) |

inline

Definition at line 31 of file TeeListener.h.

{
_second = &second;
}

## trace()

void CxxTest::TeeListener::trace | ( | const char * | file,
|  | unsigned | line,
|  | const char * | expression )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 54 of file TeeListener.h.

{
_first->trace( file, line, expression );
_second->trace( file, line, expression );
}

## warning()

void CxxTest::TeeListener::warning | ( | const char * | file,
|  | unsigned | line,
|  | const char * | expression )

inline virtual

Reimplemented from CxxTest::TestListener.

Definition at line 60 of file TeeListener.h.

{
_first->warning( file, line, expression );
_second->warning( file, line, expression );
}

## Field Documentation

## _dummy

TestListener CxxTest::TeeListener::_dummy

private

Definition at line 177 of file TeeListener.h.

## _first

TestListener* CxxTest::TeeListener::_first

private

Definition at line 176 of file TeeListener.h.

## _second

TestListener * CxxTest::TeeListener::_second

private

Definition at line 176 of file TeeListener.h.

The documentation for this class was generated from the following file:

- libpolys/tests/cxxtest/TeeListener.h